Subject: Re: example needed pls: `cygpath -c <HANDLE>'
From: "Soren A." <[email-masked]>
To: [email-masked]
Date: Sun, 6 Jul 2003 06:55:10 +0000 (UTC)

Brian Dessent <[email-masked]> wrote in news:[email-masked]:

> I was wondering why I didn't have any CYGROOT set. [...] since
> $CYGROOT is non-standard [...]

A little more about $CYGROOT. It also makes the cygwin.bat file used by
default to start bash more flexible. We can do something like this (works
under NT/2K/XP TTBOMK):

---- snip! ---- 8< ----- Cut Here -----
@echo off

:: My part -- customizations
SET CYGWIN=noenvcache check_case:adjust title ntsec export
SET PATH=%SystemRoot%\System32;%SystemRoot%

CALL :FindMe %CYGROOT%
GOTO :EOF

:FindMe
SET CYGHOMEDIR=%~d1
%CYGHOMEDIR%
chdir %CYGROOT%\bin
SET CYGHOMEDIR=

IF EXIST rxvt.exe GOTO :rxvtterm
GOTO :EOF

:rxvtterm
rxvt -display ':0' +vb -cr '20,252,123' -ls -C -sk -sr -sl 3600 -geometry '122x48+0+0' -fg '#94C9E0' -bg '#061212' -fn 'Andale Mono-15' -e bash --login -i
GOTO :EOF

:bashconsole
:: Default -- standard part
bash --login -i

---- snip! ---- 8< ----- Cut Here -----

So, %CYGROOT% isn't standard, but I find it's highly useful ;-).

-- 
"So, tell me, my little one-eyed one, on what poor, pitiful,
defenseless planet has my MONSTROSITY been unleashed?"
                       - Dr. Jumba, Disney's "Lilo & Stitch"
OpenPGP Key at http://savannah.gnu.org/people/viewgpg.php?user_id=6050

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/